Package org.xnio

# Enum FileChangeEvent.Type

java.lang.Object
java.lang.Enum<FileChangeEvent.Type>
org.xnio.FileChangeEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<FileChangeEvent.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `FileChangeEvent`

public static enum FileChangeEvent.Type extends Enum<FileChangeEvent.Type>
Watched file event types. More may be added in the future.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
A file was added in a directory.
`MODIFIED`
A file was modified in a directory.
`REMOVED`
A file was removed from a directory.

## Method Summary

Modifier and Type
Method
Description
`static FileChangeEvent.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileChangeEvent.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDED

public static final FileChangeEvent.Type ADDED
A file was added in a directory.

### REMOVED

public static final FileChangeEvent.Type REMOVED
A file was removed from a directory.

### MODIFIED

public static final FileChangeEvent.Type MODIFIED
A file was modified in a directory.

## Method Details

### values

public static FileChangeEvent.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FileChangeEvent.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null